import request from '@/utils/request'

//获取对话列表
export function findList(data) {
  return request({
    url: '/app/userChatLogs/findList',
    method: 'get',
    params: data,
  })
}

/**
 * 
 * 
 * 获取对话聊天记录
 * @param {*} data 
 * @returns 
 */
export function findChatLogsByUserIdAndCustomerId(data) {
  return request({
    url: '/app/userChatLogs/findChatLogsByUserIdAndCustomerId',
    method: 'get',
    params: data,
  })
}

/**
 * 
 * 
 * 修改对话内容
 * @param {*} data 
 * @returns 
 */
export function editUserChatLogs(data) {
  return request({
    url: '/app/userChatLogs/edit',
    method: 'post',
    data: data,
  })
}